#pragma once

#include "common.h"
#include "Logger.h"

class Parser {
private:
    string buffer;
    vector<string> lines;
    vector<string> termBuffer;
    vector<Token> tokens;
    vector<vector<string>> terms;
    vector<vector<keywords>> things;
    vector<vector<variant<var, keywords>>> stuff;
    bool canInt(string in);
    bool canDec(string in);
public:
    void parseLines(string in, Logger log);
    void processLines();
    vector<Token> getTokens();
};