#pragma once

#include "common.h"

class SyntaxError {
public:
    void fnTypeMismatch(string function, vector<string> validTypes, valtype typeGiven, string notes = "");
    void fnNotSufficientArgs(string function, int minArgs, int maxArgs, int argsGiven);
    void unknownFn();
    void mathTypeMismatch(string notes = "");
    void mathTooFewArgs(string notes = "");
    void mathCannotDoOperationOnType(string operatorUsed, string type, string notes = "");
    void cannotCompareDifferentTypes(string notes = "");
    void comparisonTypeError(string notes = "");
    void generalError(string notes = "");
};